Bug 245560 - Review Request: docker - KDE and GNOME2 system tray replacement docking application
Summary: Review Request: docker - KDE and GNOME2 system tray replacement docking appli...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-25 12:42 UTC by Andreas Bierfert
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-21 20:08:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Bierfert 2007-06-25 12:42:35 UTC
Spec URL: http://fedora.lowlatency.de/review/docker.spec
SRPM URL: http://fedora.lowlatency.de/review/docker-1.5-1.fc7.src.rpm
Description:

Docker is a docking application (WindowMaker dock app) which acts as a system
tray for KDE and GNOME2. It can be used to replace the panel in either
environment, allowing you to have a system tray without running the KDE/GNOME
panel or environment.

Comment 1 Mamoru TASAKA 2007-10-13 17:24:24 UTC
Well, more than 3 months has passed without any review, so:

Would you still want to have this package reviewed? If so,
I will try to review this package.

Comment 2 Andreas Bierfert 2007-10-14 00:01:53 UTC
If you are willing to that be great. I mean its a low profile package so should
not pose any problem but at lest to me it is quiet practical.

Comment 3 Mamoru TASAKA 2007-10-14 13:21:28 UTC
Well

* SourceURL
  - I recommend to use %name and %version macro, like
-------------------------------------------------------------
Source0:        http://icculus.org/openbox/2/%{name}/%{name}-%{version}.tar.gz
-------------------------------------------------------------
    With this, you probably don't have to change SourceURL
    when new version is released.

* License policy has changed.
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
  http://fedoraproject.org/wiki/Licensing
  - In short, you must specify the version of GPL. For this
    package this is "GPL+" (i.e. any version of GPL) because
    no version is specified on source codes.

* Change %changelog entry like
--------------------------------------------------------------
* Sun Jun 03 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 1.5-1
- initial version
--------------------------------------------------------------

  Other things are okay.

--------------------------------------------------------------
     This package (docker) is APPROVED by me
--------------------------------------------------------------

Comment 4 Andreas Bierfert 2007-10-14 15:32:36 UTC
New Package CVS Request
=======================
Package Name: docker
Short Description: KDE and GNOME2 system tray replacement docking application
Owners: andreas.bierfert@lowlatency.de
Branches: FC-6 F-7 EL-4 EL-5
Cvsextras Commits: yes

Comment 5 Andreas Bierfert 2007-10-14 15:33:22 UTC
Thanks for the review. I will take care of the changes before the build.

Comment 6 Kevin Fenzi 2007-10-14 19:38:43 UTC
cvs done.

Comment 7 Mamoru TASAKA 2007-10-19 15:13:39 UTC
Please close this bug when rebuild is done and request for koji
is done.

Comment 8 Andreas Bierfert 2007-10-20 09:51:32 UTC
Sorry had no time this week. I changed the stuff but I don't have commit access
on the branches however that comes... initial import worked fine ...

Comment 9 Mamoru TASAKA 2007-10-20 10:07:24 UTC
Currently CVS commit is prohibited for almost all people.
https://www.redhat.com/archives/fedora-devel-list/2007-October/msg01515.html

Perhaps there will be another information when CVS commit is
again allowed.

Comment 10 Andreas Bierfert 2007-10-21 12:01:22 UTC
Package Change Request
======================
Package Name: docker
New Branches: F-8

Comment 11 Kevin Fenzi 2007-10-21 17:03:30 UTC
Mass branching for F-8 has happened, so this package should be already branched. 
Feel free to reset fedora-cvs if you need further cvsadmin action. 

Comment 12 Andreas Bierfert 2007-10-21 17:42:25 UTC
Well F-8 branch is done but there still is no F-8 branch ;) I guess this package
was victim to some intermediate not-by-any-magic covered black hole... Please
add the F-8 branch when you have time.

Comment 13 Kevin Fenzi 2007-10-21 18:26:46 UTC
Well, I guess since this package was built after the freeze, it's not in F-8, so
no F-8 branch was made for it. 
I have branched it for F-8. You will need to talk to releng to add it to F-8 at
this point. 

Comment 14 Andreas Bierfert 2007-10-21 20:08:55 UTC
Thanks for your help. I will build an ask releng to add it to F-8.


Note You need to log in before you can comment on or make changes to this bug.